/// <reference path="types/global.d.ts" />
import Shape from "./common/shape";
import { IElement, Options } from "./types/snow";
export default class Snow extends Shape<Options> {
    static defaultConfig: Options;
    protected elements: IElement[];
    startTime: number;
    constructor(selector: string | HTMLElement, options?: Partial<Options>);
    /**
     * 初始化数据和运行程序
     */
    protected init(): void;
    /**
     * 创建单个雪花，包含大小、位置、速度等信息
     */
    private createSnowflake;
    /**
     * 随机创建雪花
     */
    private createSnowflakes;
    /**
     * 绘图
     */
    protected draw(): void;
    /**
     * 事件：存在持续时间时，雪花全部降落完后触发的事件
     */
    onFinished(...args: Array<() => void>): this;
}
